Skip to content
Start here

Delete a MCP Portal

zero_trust.access.ai_controls.mcp.portals.delete(strid, PortalDeleteParams**kwargs) -> PortalDeleteResponse
DELETE/accounts/{account_id}/access/ai-controls/mcp/portals/{id}

Deletes an MCP portal from the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

portal id

maxLength32
minLength1
ReturnsExpand Collapse
class PortalDeleteResponse:
id: str

portal id

maxLength32
minLength1
hostname: str
name: str
maxLength350
allow_code_mode: Optional[bool]

Allow remote code execution in Dynamic Workers (beta)

created_at: Optional[datetime]
formatdate-time
created_by: Optional[str]
description: Optional[str]
maxLength512
modified_at: Optional[datetime]
formatdate-time
modified_by: Optional[str]
secure_web_gateway: Optional[bool]

Route outbound MCP traffic through Zero Trust Secure Web Gateway

Delete a MCP Portal

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
portal = client.zero_trust.access.ai_controls.mcp.portals.delete(
    id="my-mcp-portal",
    account_id="a86a8f5c339544d7bdc89926de14fb8c",
)
print(portal.id)
{
  "result": {
    "id": "my-mcp-portal",
    "hostname": "exmaple.com",
    "name": "My MCP Portal",
    "allow_code_mode": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is my custom MCP Portal",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "secure_web_gateway": false
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "my-mcp-portal",
    "hostname": "exmaple.com",
    "name": "My MCP Portal",
    "allow_code_mode": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is my custom MCP Portal",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "secure_web_gateway": false
  },
  "success": true
}